3122. Minimum Number of Operations to Satisfy Conditions | DP & Not Greedy

Поделиться
HTML-код
  • Опубликовано: 19 апр 2024
  • In this video, I'll talk about how to solve Leetcode 3122. Minimum Number of Operations to Satisfy Conditions | DP & Not Greedy
    Let's Connect:
    📱Discord (Join Community) : / discord
    📝Linkedin: / aryan-mittal-0077
    📸 Instagram: / ez.pz.dsa
    💻 Twitter - / aryan_mittal007
    🤖 Github: github.com/aryan-0077
    About Me:
    I am Aryan Mittal - A Software Engineer in Goldman Sachs, Speaker, Creator & Educator. During my free time, I create programming education content on this channel & also how to use that to grow :)
    ✨ Hashtags ✨
    #programming #Interviews #leetcode #faang #maang #datastructures #algorithms

Комментарии • 20

  • @tanveeralam3971
    @tanveeralam3971 Месяц назад

    amazing explanation hats off to you

  • @Syed_Shifat
    @Syed_Shifat 2 месяца назад

    I regularly wait for your videos after the contest to solve the problems that I couldn't solve there. Keep up the good work, man;

  • @tirthrami9550
    @tirthrami9550 2 месяца назад +1

    thank you sir to clear our concept

  • @uzairkhan-zq7fh
    @uzairkhan-zq7fh 2 месяца назад +1

    Very detailed explanation thanks aryan

  • @apputadhiyal9451
    @apputadhiyal9451 2 месяца назад

    Thanks for the explanation!

  • @harshdiwase1941
    @harshdiwase1941 2 месяца назад

    bro , your explanation was superb , gonna try it by myself now , Thank you for the video

  • @devmadaan5146
    @devmadaan5146 Месяц назад

    never worry for any engagement issues ! i will always be with u :)

  • @simranray4564
    @simranray4564 2 месяца назад

    thanks for providing such a detailed explaination, 'was much needed++

  • @nagasrisaichaitanyakolluri8173
    @nagasrisaichaitanyakolluri8173 2 месяца назад

    🎉🎉thanks bro

  • @ameerkhan5054
    @ameerkhan5054 2 месяца назад

    Superb ❤

  • @IK-xk7ex
    @IK-xk7ex 2 месяца назад

    Thank you for the video, but I'm still stuck to convert TopDown solution to BottomUp. I understand what we need to have 2D array, which [rows][10] and fill it Int.max. But then I have no idea what to do :)

  • @Leetcode194
    @Leetcode194 Месяц назад

    cost+=1 instead of cost+=grid[i][j]?

  • @silverpoision
    @silverpoision 2 месяца назад +1

    Bro I am confused about the time complexity. If at every index we call the recursive function 8 times then the time complexity of the function should be 9^m na? Please explain me what I am missing because I have read some blogs on calculating time complexity of recursive functions and this is what they exactly say.

    • @IK-xk7ex
      @IK-xk7ex 2 месяца назад +1

      We use cache, that reduce the time complexity. So you have to calculate each combination only and only once.

    • @IK-xk7ex
      @IK-xk7ex 2 месяца назад +1

      Without caching (vector dp) you will repeat calculations for the same combinations again and again.

  • @ARYANMITTAL
    @ARYANMITTAL  2 месяца назад

    Updated Discord Link - discord.gg/vwUAz2pEHZ ❤
    .
    Practice Greedy - ruclips.net/p/PLEL7R4Pm6EmDVCYD5EkNv08vSOC4kA1_z
    Practice DP - ruclips.net/p/PLEL7R4Pm6EmCXe8803IBAPWVsHlTVrtOp

  • @dhruvrawatt9
    @dhruvrawatt9 2 месяца назад

    support++

  • @ashutoshraj7171
    @ashutoshraj7171 2 месяца назад +3

    what if, if you only provide the solution (iff)

  • @dhruvrawatt9
    @dhruvrawatt9 2 месяца назад

    01:42

  • @dileepkumar-hm5wk
    @dileepkumar-hm5wk 2 месяца назад +3

    Not clear